Debian Bug report logs - #618786
dvbstreamer: FTBFS everywhere: configure: error: libev not found

version graph

Package: src:dvbstreamer; Maintainer for src:dvbstreamer is A Mennucc1 <mennucc1@debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Fri, 18 Mar 2011 13:45:01 UTC

Severity: serious

Tags: patch

Found in version dvbstreamer/2.1.0-1

Fixed in version dvbstreamer/2.1.0-2

Done: A Mennucc1 <mennucc1@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#618786; Package src:dvbstreamer. (Fri, 18 Mar 2011 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to A Mennucc1 <mennucc1@debian.org>. (Fri, 18 Mar 2011 13:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dvbstreamer: FTBFS everywhere: configure: error: libev not found
Date: Fri, 18 Mar 2011 14:42:07 +0100
Source: dvbstreamer
Version: 2.1.0-1
Severity: serious
Justification: FTBFS

Hi,

your package FTBFS everywhere:
| checking ev.h usability... yes
| checking ev.h presence... yes
| checking for ev.h... yes
| configure: error: in `/build/buildd-dvbstreamer_2.1.0-1-i386-VT3M7i/dvbstreamer-2.1.0':
| configure: error: libev not found
| See `config.log' for more details
| checking for ev_loop in -lev... no
| make: *** [debian/stamp-autotools] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=dvbstreamer&suite=sid

KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#618786; Package src:dvbstreamer. (Sat, 19 Mar 2011 22:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to mennucc1@debian.org:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. (Sat, 19 Mar 2011 22:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 618786@bugs.debian.org (full text, mbox):

From: A Mennucc <debdev@tonelli.sns.it>
To: Cyril Brulebois <kibi@debian.org>, 618786@bugs.debian.org
Subject: Re: Bug#618786: dvbstreamer: FTBFS everywhere: configure: error: libev not found
Date: Sat, 19 Mar 2011 23:17:10 +0100
let me just say that I am quite puzzled... I compiled it using pbuilder before uploading... a.




Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#618786; Package src:dvbstreamer. (Mon, 21 Mar 2011 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. (Mon, 21 Mar 2011 10:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 618786@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 618786@bugs.debian.org, control@bugs.debian.org
Subject: dvbstreamer incompatible with libev4
Date: Mon, 21 Mar 2011 11:10:06 +0100
tag 618786 +patch
thanks

Hi,

The build failure is due to a change affecting ev_loop between libev3
and libev4. In version 3, ev_loop was a function; in version 4, it's a
macro. Thus the availability check in configure now fails...

The attached patch fixes this, and allows dvbstreamer to build with
libev3 or libev4. To use it, simply drop it in debian/patches and add
it to debian/patches/series.

Regards,

Stephen




Added tag(s) patch. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Mon, 21 Mar 2011 10:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#618786; Package src:dvbstreamer. (Mon, 21 Mar 2011 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. (Mon, 21 Mar 2011 10:18:03 GMT) Full text and rfc822 format available.

Message #22 received at 618786@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 618786@bugs.debian.org
Subject: Re: dvbstreamer incompatible with libev4
Date: Mon, 21 Mar 2011 11:14:57 +0100
[Message part 1 (text/plain, inline)]
On Mon, Mar 21, 2011 at 11:10:06AM +0100, Stephen Kitt wrote:
> The attached patch fixes this, and allows dvbstreamer to build with
> libev3 or libev4. To use it, simply drop it in debian/patches and add
> it to debian/patches/series.

This time with the patch...

Stephen
[libev4.patch (text/x-diff, attachment)]

Reply sent to A Mennucc1 <mennucc1@debian.org>:
You have taken responsibility. (Wed, 23 Mar 2011 21:33:03 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Wed, 23 Mar 2011 21:33:03 GMT) Full text and rfc822 format available.

Message #27 received at 618786-close@bugs.debian.org (full text, mbox):

From: A Mennucc1 <mennucc1@debian.org>
To: 618786-close@bugs.debian.org
Subject: Bug#618786: fixed in dvbstreamer 2.1.0-2
Date: Wed, 23 Mar 2011 21:31:46 +0000
Source: dvbstreamer
Source-Version: 2.1.0-2

We believe that the bug you reported is fixed in the latest version of
dvbstreamer, which is due to be installed in the Debian FTP archive:

dvbstreamer_2.1.0-2.debian.tar.gz
  to main/d/dvbstreamer/dvbstreamer_2.1.0-2.debian.tar.gz
dvbstreamer_2.1.0-2.dsc
  to main/d/dvbstreamer/dvbstreamer_2.1.0-2.dsc
dvbstreamer_2.1.0-2_amd64.deb
  to main/d/dvbstreamer/dvbstreamer_2.1.0-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618786@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
A Mennucc1 <mennucc1@debian.org> (supplier of updated dvbstreamer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 23 Mar 2011 14:39:59 +0100
Source: dvbstreamer
Binary: dvbstreamer
Architecture: source amd64
Version: 2.1.0-2
Distribution: unstable
Urgency: low
Maintainer: A Mennucc1 <mennucc1@debian.org>
Changed-By: A Mennucc1 <mennucc1@debian.org>
Description: 
 dvbstreamer - a console based streamer for DVB/ATSC service(s)
Closes: 618786
Changes: 
 dvbstreamer (2.1.0-2) unstable; urgency=low
 .
   * Bug fix: "FTBFS everywhere: configure: error: libev not found", thanks
     to Cyril Brulebois & Stephen Kitt(Closes: #618786).
Checksums-Sha1: 
 fde7a87aefc2f17a4b5b1356a69b0550f966f6b8 1227 dvbstreamer_2.1.0-2.dsc
 dd7d55fd5f7054a4aca8a211220f17d811794434 73529 dvbstreamer_2.1.0-2.debian.tar.gz
 bfd65d89f57036c36d8131aab8d3050242517ee9 338174 dvbstreamer_2.1.0-2_amd64.deb
Checksums-Sha256: 
 37bf2be8800d3182e1370888365535606175567c03e2e3ef21d9519421218317 1227 dvbstreamer_2.1.0-2.dsc
 7972da2d953bda6de37b921fdae42f6b1240c76ac7b98fdd3d7177302ba9dc29 73529 dvbstreamer_2.1.0-2.debian.tar.gz
 b33ce64c32a7785cb807677bda4a1c6642255f0c3afa551b0875a14d2f6a74dc 338174 dvbstreamer_2.1.0-2_amd64.deb
Files: 
 7a22a95f76ca53451f822eae6d219718 1227 video extra dvbstreamer_2.1.0-2.dsc
 cb5736d43137e64c2c158cb89b839908 73529 video extra dvbstreamer_2.1.0-2.debian.tar.gz
 00793cc69767d13305fba69238cbd828 338174 video extra dvbstreamer_2.1.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk2J+XUACgkQ9B/tjjP8QKRlKACeM6PknFkKXBOiISqmViATNBeq
rXsAnjU6G8Y2siZTvqwMxiDgJPoBlfgB
=WT5a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Apr 2011 07:37:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:32:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.